# Class ExampleStage

java.lang.Object
uk.ac.starlink.ttools.taplint.ExampleStage

All Implemented Interfaces:
  `Stage`

public class ExampleStage extends Object implements Stage
Validation stage for testing TAP /examples document. At time of writing the relevant specifications are split between DALI 1.1 and TAP 1.1 (both WDs). An earlier specification was in a TAP Implementation Note.

The details may undergo some changes.

Since:
  20 May 2016
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`ExampleStage(TapRunner tapRunner, CapabilityHolder capHolder, MetadataHolder metaHolder)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Returns a short one-line description of this stage.
`void`
`run(Reporter reporter, uk.ac.starlink.vo.TapService tapService)`
Performs the validation checks for this stage.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExampleStage

public ExampleStage(TapRunner tapRunner, CapabilityHolder capHolder, MetadataHolder metaHolder)
Constructor.

Parameters:
  `tapRunner` - runs TAP queries; if null, no queries attempted
  `capHolder` - provides capability metadata at runtime
  `metaHolder` - provides table metadata at runtime

## Method Details

### getDescription

public String getDescription()
Description copied from interface: `Stage`
Returns a short one-line description of this stage.

Specified by:
  `getDescription` in interface `Stage`
Returns:
  description in imperative mood

### run

public void run(Reporter reporter, uk.ac.starlink.vo.TapService tapService)
Description copied from interface: `Stage`
Performs the validation checks for this stage.

Specified by:
  `run` in interface `Stage`
Parameters:
  `reporter` - destination for validation messages
  `tapService` - TAP service description